## ansible 5.5.0

=== debian/changelog ===
ansible (5.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 21 Mar 2022 17:16:59 +0100

ansible (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Release to unstable.
  * Switch build-dep from python3-all to python3 (Closes: #1005149)

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 06 Mar 2022 20:05:44 +0100

ansible (4.6.0-1) experimental; urgency=medium

  * "Greetings from DebianReunionHamburg" release
  * New upstream release
  * Unmerge the source package again
  * Add NEWS entry explaining the split package again
  * Depend on ansible-core instead of ansible-base

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 30 Sep 2021 18:29:44 +0200
