## ansible 6.4.0+dfsg

=== ansible_collections/community/general/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# requirement for the memcached cache plugin
python-memcached

# requirement for the redis cache plugin
redis

# requirement for the linode module
linode-python  # APIv3
linode_api4 ; python_version > '2.6'  # APIv4

# requirement for the gitlab and github modules
python-gitlab
PyGithub
httmock

# requirement for maven_artifact module
lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'
semantic_version

# requirement for datadog_downtime module
datadog-api-client >= 1.0.0b3 ; python_version >= '3.6'

# requirement for dnsimple module
dnsimple >= 2 ; python_version >= '3.6'
dataclasses ; python_version == '3.6'

# requirement for the opentelemetry callback plugin
# WARNING: these libraries rely on Protobuf for Python, which regularly stops installing.
#          That's why they are disabled for now.
# opentelemetry-api ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-exporter-otlp ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-sdk ; python_version >= '3.6' and python_version < '3.10'

# requirement for the elastic callback plugin
elastic-apm ; python_version >= '3.6'
