=== debian/changelog ===
ansible (6.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 15 Sep 2022 22:27:58 +0200

ansible (6.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix yarn --no-emoji error (Closes: #989709)
  * Remove python3-nose from Build-Depends (Closes: #1018309)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 09 Sep 2022 16:16:07 +0200
