=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-docutils,
                python3-jinja2,
-               python3-nose,
                python3-packaging,
                python3-passlib,
                python3-setuptools,
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
