## ansible 7.0.0+dfsg

=== debian/changelog ===
ansible (7.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add bcrypt to autopktest dependencies
  * Use yaml.safe_load() in vdo.py (Closes: 1022013)
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 30 Nov 2022 22:37:20 +0100
