=== debian/tests/control ===
Tests: unit-tests-stable
Depends: @,
         git,
         python3-boto3,
         python3-bcrypt,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint

# failing tests due to missing packages or other reasons
#Tests: unit-tests-flaky
#Depends: @,
#         git,
#         python3-boto3,
#         python3-flake8,
#         python3-mock,
#         python3-pytest-xdist,
#         python3-pyvmomi,
#         yamllint
#Restrictions: flaky
