## ansible 7.1.0+dfsg

=== debian/changelog ===
ansible (7.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-yaml.safe_load.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Dec 2022 16:45:05 +0100

ansible (7.0.0+dfsg-2) unstable; urgency=medium

  * autopkgtest: Depend on python3-pytest-forked (Closes: #1025335)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 06 Dec 2022 23:39:37 +0100
