## ansible 7.2.0+dfsg

=== debian/changelog ===
ansible (7.2.0+dfsg-2) unstable; urgency=high

  * New upstream release 7.2.0
  * Create man page for "ansible-community"
  * Bump Standards-Version (no changes needed)
  * pybuild with PEP517 interface
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 09 Feb 2023 18:27:49 +0100
