=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3,
                python3-docutils,
                python3-jinja2,
@@ -14,7 +15,7 @@
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
