=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          python3-bcrypt,
          python3-flake8,
          python3-mock,
+         python3-pytest-forked,
          python3-pytest-mock,
          python3-pytest-xdist,
          yamllint
