## ansible 7.3.0+dfsg

=== debian/changelog ===
ansible (7.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 01 Mar 2023 21:22:25 +0100
