## ansible 7.7.0%2Bdfsg

=== ansible_collections/cisco/ise/requirements.txt ===
ciscoisesdk >= 2.0.8
requests >= 2.25.1
