=== debian/changelog ===
ansible (7.7.0+dfsg-3+deb12u1) bookworm; urgency=medium

  * New stable release (Closes: #1069891)
  * Put ansible under the Debian Python Team umbrella
  * d/gbp.conf: set merge-mode replace by default
  * d/gbp.conf: Switch to DEP-14 branch layout
  * d/gbp.conf: Sign tags by default
  * d/gitlab-ci.yml: Run CI/CD tests against bookworm
  * autopkgtests: Use the same scripts as from the unstable branch
  * autopkgtests: Update package dependencies
  * autopkgtests: Update list of flaky tests
  * Update amazon.aws ec2_key module documentation to fix CVE-2023-4237.
  * d/control: update VCS links

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 27 Jun 2024 16:10:10 +0200

ansible (7.7.0+dfsg-3) unstable; urgency=medium

  * Fix issue with ansible.builtin.copy when using libvirt connection plugin
    upstream bug:
    https://github.com/ansible-collections/community.libvirt/issues/161
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Oct 2023 20:56:49 +0200

ansible (7.7.0+dfsg-2) unstable; urgency=medium

  * Fix warning when using libvirt connection plugin
  * Fix libvirt connection plugin encoding errors on Windows guests

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Sep 2023 12:53:41 +0200

ansible (7.7.0+dfsg-1) unstable; urgency=medium

  * d/watch: Lock into v7.x.x for now.
  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 17 Jul 2023 15:57:18 +0200
