## ansible 7.7.0+dfsg

=== ansible_collections/cisco/iosxr/requirements.txt ===
ncclient
paramiko
ipaddress
ansible-pylibssh
grpcio
protobuf
