=== ansible_collections/community/postgresql/requirements.txt ===
psycopg2-binary
