=== ansible_collections/dellemc/powerflex/requirements.txt ===
PyPowerFlex
requests>=2.23.0
python-dateutil>=2.8.0
setuptools
