=== ansible_collections/dellemc/unity/requirements.txt ===
urllib3
storops>=1.2.11
setuptools
