=== ansible_collections/inspur/sm/requirements.txt ===
inspursmsdk 1.5.0+
