=== ansible_collections/purestorage/flasharray/requirements.txt ===
purestorage
py-pure-client
python >= 3.6
netaddr
requests
pycountry
packaging
