=== ansible_collections/chocolatey/chocolatey/tests/requirements.txt ===
ansible.windows
Jinja2<3.1.0
