=== ansible_collections/cisco/dnac/docs/requirements.txt ===
PyYAML>=5.4.1 
antsibull>=0.17.0
ansible-base>=2.10.0rc2
sphinx-rtd-theme
git+https://github.com/felixfontein/ansible-basic-sphinx-ext
recommonmark
