=== ansible_collections/community/grafana/hacking/requirements.txt ===
requests==2.28.0
