=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ansible
-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,8 +16,8 @@
                python3-yaml,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible/-/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bookworm
 Homepage: https://www.ansible.com
 
 Package: ansible
