=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto \
https://pypi.debian.net/ansible/ ansible-(7\.[0-9]+\.[0-9]+).tar.gz
