## ansible 9.2.0%2Bdfsg

=== ansible_collections/community/okd/tests/unit/requirements.txt ===
pytest
