## ansible 9.2.0+dfsg

=== ansible_collections/amazon/aws/requirements.txt ===
# When updating the minimal requirements please also update
# - tests/unit/constraints.txt
# - tests/integration/constraints.txt
# - tests/integration/targets/setup_botocore_pip
botocore>=1.29.0
boto3>=1.26.0
