=== ansible_collections/chocolatey/chocolatey/requirements.txt ===
pywinrm
