=== ansible_collections/cisco/iosxr/requirements.txt ===
ncclient
paramiko
ipaddress
grpcio
protobuf
ansible-pylibssh
