=== ansible_collections/cisco/ise/requirements.txt ===
ciscoisesdk >= 2.1.1
requests >= 2.25.1
