=== ansible_collections/hetzner/hcloud/requirements.txt ===
ansible-core>=2.13

# Collections requirements
netaddr
cryptography

python-dateutil
requests

# Development requirements
pylint
antsibull-docs>=2.5.0,<2.6
