=== ansible_collections/purestorage/flasharray/requirements.txt ===
--- 
+++ 
@@ -4,4 +4,3 @@
 netaddr
 requests
 pycountry
-packaging
