=== ansible_collections/purestorage/flashblade/requirements.txt ===
netaddr
datetime
pytz
purity-fb
py-pure-client
