=== ansible_collections/cloudscale_ch/cloud/tests/requirements.txt ===
netaddr
