=== debian/changelog ===
ansible (9.2.0+dfsg-0ubuntu5) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:59:30 +0100

ansible (9.2.0+dfsg-0ubuntu4) noble; urgency=medium

  * d/tests:
    - set HOME to a writeable directory
    - always run all test cases
  * Suggest python3-jsonschema for jsonschema validate plugin
  * Add patches to replace deprecated assertion methods for
    Python 3.12 compatibility (Closes: #1061781, LP: #2052530)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Feb 2024 12:07:32 +0100

ansible (9.2.0+dfsg-0ubuntu3) noble; urgency=medium

  * Fix more test cases for Python 3.12.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2024 01:00:46 +0100

ansible (9.2.0+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release
    - Bump the watchfile to the major 9 series
    - Adds compatibility with Python 3.12 (Closes: #1061781, LP: #2052530)
    - d/control: bump dependency to latest ansible-core
    - Drop patches applied upstream:
      - d/p/0001-fix-libvirt-connection-plugin-warning.patch
      - d/p/0002-fix-libvirt-encoding-errors-on-windows-guests.patch
  * d/tests: Add some more tests to the autopkgtest suite, remove broken ones


 -- Simon Chopin <schopin@ubuntu.com>  Wed, 07 Feb 2024 13:04:23 +0100
