=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ansible
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Lee Garrett <debian@rocketjump.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
+Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,17 +17,16 @@
                python3-yaml,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible/-/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/debian/ansible
+Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ansible-core (>= 2.11.5-1~),
+         ansible-core (>= 2.16.3),
          openssh-client | python3-paramiko (>= 2.6.0),
-         python3-distutils,
          python3-dnspython,
          python3-httplib2,
          python3-jinja2,
@@ -41,6 +41,7 @@
             python3-winrm,
             python3-xmltodict
 Suggests: cowsay,
+          python3-jsonschema,
           sshpass
 Breaks: ansible-base (<= 2.10.5+dfsg-2)
 Replaces: ansible-base (<= 2.10.5+dfsg-2)
