## ansible 10.1.0+dfsg

=== ansible_collections/ibm/storage_virtualize/tests/unit/requirements.txt ===
paramiko>= '3.4.0'
cryptography >= '42.0.5'
