=== debian/changelog ===
ansible (10.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 10.1.0+dfsg
  * Add missing info to previous changelog entry
  * Drop 0004-fix-cyberark-conjur-import.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jun 2024 13:14:37 +0200

ansible (10.0.1+dfsg-1) unstable; urgency=medium

  * Update patch to DEP-3 layout
  * New upstream version 10.0.1+dfsg
  * Drop Files-Excluded pattern again (fixed upstream)
  * Update copyright year
  * Remove community.sap and purestorage.fusion tests (removed upstream)
  * Add quilt patch to fix import error for cyberark.conjur
  * Add python3-passlib to autopkgtests dep (used by ansible.netcommon)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 06 Jun 2024 15:39:29 +0200

ansible (10.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 10.0.0+dfsg
  * d/control: Update VCS links after moving package to python-team
  * Update salsa CI pipeline file to recommended naming
  * Update d/salsa-ci.yml to recommendations
  * Add debian/TODO
  * Bump minimum required ansible-core version
  * ansible.utils now requires python3-netaddr >= 0.10.1
  * Exclude shipped python venv

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 05 Jun 2024 17:18:54 +0200

ansible (9.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 9.5.1+dfsg
  * autopkgtests: Update dependencies
  * autopkgtests: Update test dependencies
  * Add helper script to check the flaky test list and remove non-existant tests
  * autopkgtests: Update list of flaky tests
  * Rewrite stable/flaky autopkgtests in python
  * d/gbp.conf: Switch to DEP-14 branch layout
  * d/gbp.conf: Sign tags by default
  * Bump Standards-Version (no changes needed)
  * d/control: Bump minimum version dependency of ansible-core

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Apr 2024 22:34:37 +0200

ansible (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1042906)
    - fixes CVE-2023-4237 (Closes: #1055300)
    - Support bookworm in zabbix plugin (Closes: #1054544)
  * Drop dependency on python3-distutils (Closes: #1065825)
  * Drop 0001-fix-libvirt-connection-plugin-warning.patch (applied upstream)
  * Refreshen patches

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 18 Apr 2024 00:34:02 +0200
