=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ansible
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,21 +15,21 @@
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git
 Homepage: https://www.ansible.com
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ansible-core (>= 2.16.3),
+         ansible-core (>= 2.17.0-1~),
          openssh-client | python3-paramiko (>= 2.6.0),
          python3-dnspython,
          python3-httplib2,
          python3-jinja2,
-         python3-netaddr,
+         python3-netaddr (>= 0.10.1-1~),
          python3-yaml
 Recommends: python3-argcomplete,
             python3-cryptography,
@@ -41,7 +40,6 @@
             python3-winrm,
             python3-xmltodict
 Suggests: cowsay,
-          python3-jsonschema,
           sshpass
 Breaks: ansible-base (<= 2.10.5+dfsg-2)
 Replaces: ansible-base (<= 2.10.5+dfsg-2)
