## ansible 10.5.0+dfsg

=== debian/changelog ===
ansible (10.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Adjust an override for lintian >= 2.117.1.
  * cloud/common: Make a test less flaky.

 -- Colin Watson <cjwatson@debian.org>  Thu, 31 Oct 2024 00:49:52 +0000

ansible (10.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix cyberark/conjur, community/grafana, and community/network unit tests
    for Python 3.12 (closes: #1079560).
  * Fix community/mongodb to avoid an import error on Python 3.13 (closes:
    #1084548).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Oct 2024 12:46:37 +0000
