=== debian/tests/control ===
Tests: unit-tests-stable.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-passlib,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint
Restrictions: flaky
