## ansible 10.6.0+dfsg

=== debian/changelog ===
ansible (10.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix community/hashi_vault unit tests for ansible-core 2.18.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 13:43:48 +0000
