=== ansible_collections/community/general/tests/unit/requirements.txt ===
--- 
+++ 
@@ -6,10 +6,12 @@
 importlib ; python_version < '2.7'
 
 # requirement for the memcached cache plugin
-python-memcached
+python-memcached < 1.60 ; python_version < '3.6'
+python-memcached ; python_version >= '3.6'
 
 # requirement for the redis cache plugin
 redis
+async-timeout ; python_version == '3.11'
 
 # requirement for the linode module
 linode-python  # APIv3
@@ -41,3 +43,17 @@
 
 # requirement for the elastic callback plugin
 elastic-apm ; python_version >= '3.6'
+
+# requirements for scaleway modules
+passlib[argon2]
+
+# requirements for the proxmox modules
+proxmoxer < 2.0.0 ; python_version >= '2.7' and python_version <= '3.6'
+proxmoxer ; python_version > '3.6'
+
+#requirements for nomad_token modules
+python-nomad < 2.0.0 ; python_version <= '3.6'
+python-nomad >= 2.0.0 ; python_version >= '3.7'
+
+# requirement for jenkins_build, jenkins_node, jenkins_plugin modules
+python-jenkins >= 0.4.12
