=== ansible_collections/cyberark/conjur/tests/unit/requirements.txt ===
mock
pytest
pytest-mock
pytest-xdist
pytest-forked
pyyaml  # required by the collection loader (only needed for collections)
coverage==4.5.4

bcrypt ; python_version >= '3.8'  # controller only
passlib ; python_version >= '3.8'  # controller only
pexpect ; python_version >= '3.8'  # controller only
pytz
pywinrm ; python_version >= '3.8'  # controller only
unittest2 ; python_version < '2.7'
