=== ansible_collections/vmware/vmware/tests/unit/requirements.txt ===
requests
pyVim
pyvmomi
