=== debian/changelog ===
ansible (11.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 05 Dec 2024 17:13:29 +0100
