=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          python3-cryptography,
          python3-dateutil,
          python3-flake8,
+         python3-freezegun,
          python3-gitlab,
          python3-google-auth,
          python3-httmock,
@@ -39,6 +40,7 @@
          python3-cryptography,
          python3-dateutil,
          python3-flake8,
+         python3-freezegun,
          python3-gitlab,
          python3-google-auth,
          python3-httmock,
