## ansible 11.2.0%2Bdfsg

=== ansible_collections/vmware/vmware/tests/unit/requirements.txt ===
requests
pyVim
pyvmomi
git+https://github.com/vmware/vsphere-automation-sdk-python.git
